<?php
class SucursalesModel extends Query{
    private $id_sucursal,$codigoSucursal,$direccion,$ciudad,$descripcion,$telefono;
    public function __construct()
    {
        parent::__construct();
        
    }
    
    public function getSucursales()
    {
        $sql = "select *
        from sucursal";
        $data = $this->selectAll($sql);
        return $data;
    }

    public function editarSucursal(int $id){
        $sql="select * from sucursal where codigoSucursal='$id'";
        $data=$this->select($sql);
        return $data;
    }


    public function registrarPuntoVenta(int $codigoSucursal,int $codigoPuntoVenta,string $cuis,string $vigenciaCuis,int $codigoTipoPuntoVenta,string $descripcion){
        $this->codigoSucursal=$codigoSucursal;
        $this->codigoPuntoVenta=$codigoPuntoVenta;
        $this->cuis=$cuis;
        $this->vigenciaCuis=$vigenciaCuis;
        $this->codigoTipoPuntoVenta=$codigoTipoPuntoVenta;
        $this->descripcion=$descripcion;
        $sql= "insert into puntoventa (codigoSucursal,codigoPuntoVenta,cuis,vigenciaCuis,codigoTipoPuntoVenta,descripcion) values (?,?,?,?,?,?)";
        $datos= array($this->codigoSucursal,
                    $this->codigoPuntoVenta,
                    $this->cuis,
                    $this->vigenciaCuis,
                    $this->codigoTipoPuntoVenta,
                    $this->descripcion
                    );
        $data=$this->save($sql,$datos);
        if($data==1){
            $res="ok";
        }else{
            $res="error";
        }
        return $res;
    }
    
    public function modificarCaja(string $caja, int $id_caja){
        $this->caja = $caja;
        $this->id_caja = $id_caja;
        $sql = "update cajas set caja=? where id_caja=?";
        $datos= array($this->caja,$this->id_caja);
        $data=$this->save($sql,$datos);
        if($data==1){
            $res="modificado";
        }else{
            $res="error";
        }
        return $res;
    }

    
    public function accion(int $estado , int $id){
        $this->id_caja = $id;
        $this->estado=$estado;
        $sql = "update cajas set caja_estado=? where id_caja=?";
        $datos= array($this->estado, $this->id_caja);
        $data=$this->save($sql,$datos);
        return $data;
    }
}
?>